package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.ActionResult;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.system.model.SystemDatasource;

import java.util.List;
import java.util.Map;

/**
 * Created by hzp on 2016/1/11.
 */
public interface IDatasourceManager {

    /**
     * 根据ID获取数据源信息
     * @return
     */
    SystemDatasource getDatasourcegById(String id) throws Exception;

    /**
     * 获取数据源列表
     * @param page
     * @param rows
     * @return
     */
    DataGridResult getDatasource(Map<String, Object> conditionMap, int page, int rows) throws Exception;

    /**
     * 获取全部数据源列表
     */
    DataGridResult getDatasourceByOrg(String orgId) throws Exception;

    /**
     * 测试数据源连接
     * @return
     */
    ActionResult testDatasource(String type, String config);

    /**
     * 新增数据源
     * @return
     */
    ActionResult addDatasource(SystemDatasource obj);

    /**
     * 修改数据源
     * @return
     */
    ActionResult updateDatasource(SystemDatasource obj);


    /**
     * 删除数据源
     * @return
     */
    ActionResult deleteDatasource(String id);

    /**
     * 获取数据源列表
     * @param orgId
     * @return
     */
    List<SystemDatasource> getDatasources(String orgId);
}
